# frozen_string_literal: true

module Minato
  module Utils
    class Configuration
      attr_accessor :logger, :debug

      def initialize
        @logger = nil
        @debug = false
      end
    end

    module_function

    attr_writer :config

    def configure
      yield(config)
    end

    def config
      @config ||= Configuration.new
    end
  end
end
