# frozen_string_literal: true

module Minato
  module Utils
    module Helpers
      module_function

      def join_url(*segments)
        segments
          .map { |seg| seg.gsub(%r{/$|^/}, '') }
          .join('/')
      end

      def parse_json(body)
        body.present? ? JSON.parse(body, symbolize_names: true) : {}
      end
    end
  end
end
